cakephp_2.8.5-1_all.deb


Advertisement

Description

cakephp - rapid application development framework for PHP

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: cakephp
Package version: 2.8.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 9.23 KB
Download size: 1.06 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Binary package: cakephp_2.8.5-1_all.deb
    Source package: cakephp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install cakephp deb package:
      # sudo apt-get install cakephp

    Changelog

    2016-07-24 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.8.5-1) unstable; urgency=medium * New upstream release [June 2016]. + Fixed CVE-2015-8379 (Closes: #832316). * Corrected Vcs-Git URL. * Standards-Version: 3.9.8.

    2016-04-06 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.8.3-1) unstable; urgency=medium * New upstream release [March 2016].

    2016-02-22 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.8.0-1) unstable; urgency=medium * New upstream release [February 2016]. "CakePHP 2.8 is compatible with, and tested against PHP7". * PHP Depends and Suggests updated for new PHP7 packages. * rules: dropped "--with phpcomposer" in favour of hard-coded Depends. * Standards-Version: 3.9.7. * Updated Vcs URLs.

    2015-08-17 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.7.2-1) unstable; urgency=medium * New upstream release [August 2015].

    2015-07-17 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.7.0-1) unstable; urgency=medium * New upstream release [July 2015].

    2015-07-04 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.6.8-1) unstable; urgency=medium * New upstream release [June 2015]. * cakephp-scripts: drop unused lintian-override.

    2015-06-29 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.6.7-1) unstable; urgency=medium * New upstream release [May 2015].

    2015-04-26 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.6.4-1) unstable; urgency=low * New upstream release [April 2015].

    2015-04-14 - Dmitry Smirnov <onlyjob@debian.org> cakephp (2.6.3-1) unstable; urgency=low [ Dmitry Smirnov <onlyjob@debian.org> ] * New upstream release [March 2015] (Closes: #655983). * New maintainer (Closes: #738289). * watch: look for 2.x releases on GitHub. * Added lintian overrides for "script-not-executable". * Build-Depends =+ "pkg-php-tools (>= 1.7~)". * Use `dh_phpcomposer` and "${phpcomposer:*}" variables in Depends, Suggests, Conflicts, Replaces and Provides. * Removed Conflicts/Replaces with obsolete "cakephp1.2*" packages. * Added "debian/gbp.conf". * Refreshed patches; disabled new "10-*" and "20-*" patches. * Removed "MVC" from short package description. * Removed PHP4 compatibility note from long package description. [ Maxime Chatelle <xakz@rxsoft.eu> ] * General changes: - Updates d/copyright file to 1.0 standard. - Removes d/*.dirs files, not more needed by dh. - Removes d/*.lintian-overrides. * debian/control: - Bumps debhelper version to 9. - Bumps Standards-Version to 3.9.6. - Adds php5-sqlite and php5-pgsql to cakephp Suggests. - Changes cakephp Depends from "php5" to "php5 | php5-cli". Development environments can use the PHP integrated HTTP server. - Makes cakephp-scripts strictly Depends on the exact version of cakephp. - Makes cakephp stricly Recommends the exact version of cakephp-scripts. (Multiple co-installable versions of cakephp are planned) - Updates VCS fields to the Alioth repository (shared between versions of cakephp). * debian/rules: - Switches from override_dh_install rule to d/*.install files. - Removes executable bit of some PHP files in override_dh_fixperms. * Refresh patches. * Renames patches to follow actual conventions: - 01-remove-shebang.diff ==> 05-remove.unused.shebang.patch - 02-cake-binary-libs.diff ==> 07-cake.utility.lib.directory.patch * Fix header of old patches to follow http://dep.debian.net/deps/dep3/ * Adds patches (see patch header for details): - 10-Adds.option.preserve_mode.to.Folder_copy.method.patch - 20-Avoids.executable.bit.when.app.skeleton.is.created.patch

    2014-02-08 - Chris Lamb <lamby@debian.org> cakephp (1.3.15-2) unstable; urgency=medium * Orphaning package.

    Advertisement
    Advertisement